Main Page Class Hierarchy Compound List File List Compound Members File Members

# MutableServerMessage Class Reference

`#include <mutableservermessage.h>`

Inheritance diagram for MutableServerMessage:

List of all members.

## Public Member Functions
| MutableServerMessage ()
void | FormatBuffer ()
long | GetBufferLength () const
const char * | GetBuffer () const
bool | ParseMessageLine (const char *p_buffer, bool p_append_nl=true, bool p_clearbuffer=false)
void | ParseFromBuffer (const char *p_buffer)
## Protected Member Functions
virtual long | BufferInitAlloc ()
virtual void | FormatDerivativeData ()
virtual void | ParseDerivativeData ()
## Protected Attributes
std::string | MessageBuffer

## Constructor & Destructor Documentation

MutableServerMessage::MutableServerMessage | ( |  | ) |

| Definition at line 11 of file mutableservermessage.cpp.

## Member Function Documentation

virtual long MutableServerMessage::BufferInitAlloc | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented in ServerMagnitudeRequest, MagServerResult, MutableServerRequest, MutableServerResult, RequestTemplate, and ResultTemplate. Definition at line 61 of file mutableservermessage.h. Referenced by MutableServerResult::BufferInitAlloc(), MutableServerRequest::BufferInitAlloc(), FormatBuffer(), and ParseMessageLine().

void MutableServerMessage::FormatBuffer | ( |  | ) |

| Definition at line 17 of file mutableservermessage.cpp. References BufferInitAlloc(), FormatDerivativeData(), and MessageBuffer. Referenced by MutableServerBase::TransmitRequest(), and MutableServerBase::TransmitResult().

virtual void MutableServerMessage::FormatDerivativeData | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented in ServerMagnitudeRequest, MagServerResult, MutableServerRequest, MutableServerResult, RequestTemplate, and ResultTemplate. Definition at line 78 of file mutableservermessage.h. Referenced by FormatBuffer(), MutableServerResult::FormatDerivativeData(), and MutableServerRequest::FormatDerivativeData().

const char * MutableServerMessage::GetBuffer | ( |  | ) | const

| Definition at line 34 of file mutableservermessage.cpp. References MessageBuffer. Referenced by MutableServerBase::TransmitRequest(), and MutableServerBase::TransmitResult().

long MutableServerMessage::GetBufferLength | ( |  | ) | const

| Definition at line 27 of file mutableservermessage.cpp. References MessageBuffer. Referenced by MutableServerBase::TransmitRequest(), and MutableServerBase::TransmitResult().

virtual void MutableServerMessage::ParseDerivativeData | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented in ServerMagnitudeRequest, MagServerResult, MutableServerRequest, MutableServerResult, RequestTemplate, and ResultTemplate. Definition at line 109 of file mutableservermessage.h. Referenced by MutableServerResult::ParseDerivativeData(), MutableServerRequest::ParseDerivativeData(), ParseFromBuffer(), and ParseMessageLine().

void MutableServerMessage::ParseFromBuffer | ( | const char * | p_buffer | ) |

| Definition at line 79 of file mutableservermessage.cpp. References MessageBuffer, and ParseDerivativeData(). Referenced by MutableServerBase::Handler().

bool MutableServerMessage::ParseMessageLine | ( | const char * | p_buffer,
|  | bool | p_append_nl = true,
|  | bool | p_clearbuffer = false
| ) |

| Definition at line 41 of file mutableservermessage.cpp. References BufferInitAlloc(), MessageBuffer, and ParseDerivativeData(). Referenced by MutableServerBase::ClientServicer(), and MutableServerBase::TransmitRequest().

## Member Data Documentation

std::string MutableServerMessage::MessageBuffer`[protected]`

| Definition at line 35 of file mutableservermessage.h. Referenced by FormatBuffer(), MutableServerResult::FormatDerivativeData(), MutableServerRequest::FormatDerivativeData(), MagServerResult::FormatDerivativeData(), ServerMagnitudeRequest::FormatDerivativeData(), GetBuffer(), GetBufferLength(), ResultTemplate::ParseDerivativeData(), MutableServerResult::ParseDerivativeData(), MutableServerRequest::ParseDerivativeData(), MagServerResult::ParseDerivativeData(), ServerMagnitudeRequest::ParseDerivativeData(), ParseFromBuffer(), and ParseMessageLine().

The documentation for this class was generated from the following files:

- mutableservermessage.h
- mutableservermessage.cpp